# Intel® Enhanced Privacy ID SDK: epid/common/file_parser.h File Reference

file_parser.h File Reference

Epid issuer material parsing utilities. More...

`#include <stddef.h>`
`#include "epid/common/types.h"`
`#include "epid/common/errors.h"`

## Data Structures

struct | EpidFileHeader
| Intel(R) EPID binary file header. More...
struct | EpidCaCertificate
| IoT CA Certificate binary format. More...

## Enumerations

enum | EpidFileType { kIssuingCaPubKeyFile, kGroupPubKeyFile, kPrivRlFile, kSigRlFile, kGroupRlFile, kPrivRlRequestFile, kSigRlRequestFile, kGroupRlRequestFile, kNumFileTypes }
| Recognized Intel(R) EPID file types. More...

## Functions

EpidStatus | EpidParseGroupPubKeyFile (void const *buf, size_t len, EpidCaCertificate const *cert, GroupPubKey *pubkey)
| Extracts group public key from buffer in issuer binary format. More...
EpidStatus | EpidParsePrivRlFile (void const *buf, size_t len, EpidCaCertificate const *cert, PrivRl *rl, size_t *rl_len)
| Extracts private key revocation list from buffer in issuer binary format. More...
EpidStatus | EpidParseSigRlFile (void const *buf, size_t len, EpidCaCertificate const *cert, SigRl *rl, size_t *rl_len)
| Extracts signature revocation list from buffer in issuer binary format. More...
EpidStatus | EpidParseGroupRlFile (void const *buf, size_t len, EpidCaCertificate const *cert, GroupRl *rl, size_t *rl_len)
| Extracts group revocation list from buffer in issuer binary format. More...

## Variables

const OctStr16 | kEpidFileTypeCode [kNumFileTypes]
| Encoding of issuer material file types.

## Detailed Description

Epid issuer material parsing utilities.